Skip to main content
`Ctrl`+`K`

# PetscSFCreateRemoteOffsets

Create offsets for point data on remote processes

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateRemoteOffsets(PetscSF sf, PetscSection rootSection, PetscSection leafSection, PetscInt **remoteOffsets)

Collective

## Input Parameters

- sf - The `PetscSF`

- rootSection - Data layout of remote points for outgoing data (this is layout for SF roots)

- leafSection - Data layout of local points for incoming data (this is layout for SF leaves)

## Output Parameter

- remoteOffsets - Offsets for point data on remote processes (these are offsets from the root section), or NULL

## Fortran Notes

In Fortran, use PetscSFCreateRemoteOffsetsF90()

## See Also

`PetscSF`, `PetscSFCreate()`

## Level

developer

## Location

src/vec/is/sf/utils/sfutils.c

## Examples

src/dm/impls/plex/tutorials/ex14.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages